Skip to main content
`Ctrl`+`K`

# VecScatterViewFromOptions

View a `VecScatter` object based on values in the options database

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterViewFromOptions(VecScatter sf, PetscObject obj, const char name[])

Collective

## Input Parameters

- sf - the scatter context

- obj - Optional object

- name - command line option

## Options Database Key

- -name [viewertype][:…] - option name and values. See `PetscObjectViewFromOptions()` for the possible arguments

## See Also

Low-level Vector Communication, `VecScatter`, `VecScatterView()`, `PetscObjectViewFromOptions()`, `VecScatterCreate()`

## Level

intermediate

## Location

src/vec/vec/utils/vscat.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages